#!/bin/bash
## Copy this line ##
. $(dirname $(realpath $0))/../include.sh
## end


cp "$SCRIPTPATH/extensions__90-AmiServ5.conf" /etc/asterisk/ombutel/
asterisk -rx "core reload"

if [ $OS = "debian" ]
then
a2enmod ssl
a2enmod proxy
a2enmod proxy_wstunnel
cat > /etc/apache2/conf-available/z_amiserv.conf <<-"EOF"
ProxyPreserveHost On
ProxyRequests off
ProxyPass /amiserv/ws ws://localhost:20000 retry=0
ProxyPassReverse /amiserv/ws ws://localhost:20000 retry=0
EOF
if [ ! -f /etc/apache2/conf-enabled/z_amiserv.conf ]
then
	ln -s /etc/apache2/conf-available/z_amiserv.conf /etc/apache2/conf-enabled/z_amiserv.conf
fi
systemctl restart apache2
else
cat > /etc/httpd/conf.d/z_amiserv.conf <<-"EOF"
ProxyPreserveHost On
ProxyRequests off
ProxyPass /amiserv/ws ws://localhost:20000 retry=0
ProxyPassReverse /amiserv/ws ws://localhost:20000 retry=0
EOF
systemctl restart httpd
fi
