#!/bin/bash
## Copy this line ##
. $(dirname $(realpath $0))/../include.sh
## end


$mysqlcmd < "$SCRIPTPATH/db.sql"

sed -i '/.*100ms\sbetween.*/d' /etc/amiserv5/Config.txt
sed -i '/.*before\ssending\spackets\sby\schanging\sthis\svalue$/d' /etc/amiserv5/Config.txt
sed -i '/.*as\sfast\sas\sit\scan.*/d' /etc/amiserv5/Config.txt
sed -i '/.*DelaySendingPackets.*/d' /etc/amiserv5/Config.txt

sed -i '/.*InterAmi.*/d' /etc/amiserv5/Config.txt
sed -i '/.*on\sthe\smain\sPBX.*/d' /etc/amiserv5/Config.txt
sed -i '/.*Set\sa\sunique\sname\shere.*/d' /etc/amiserv5/Config.txt

sed -i '/.*StoreWSFrames.*/d' /etc/amiserv5/Config.txt

cnt=$(cat /etc/amiserv5/Config.txt | grep Modules | wc -l)
if [ "$cnt" == "0" ]
then
cat >> /etc/amiserv5/Config.txt <<-"EOF"

# Modules to enable.
ModuleCalls=1
ModuleConferences=1
ModuleDirectories=1
ModuleHistory=1
ModulePark=1
ModuleQueues=1
ModuleVoicemails=1

EOF
fi

cnt=$(cat /etc/amiserv5/Config.txt | grep 'Socket options' | wc -l)
if [ "$cnt" == "0" ]
then
cat >> /etc/amiserv5/Config.txt <<-"EOF"

# Socket options
ReceiveTimeout=10
SendTimeout=10
BacklockSize=250
BufferSize=8192

EOF
fi


